Eclipse PDE Release 3.7

## org.eclipse.pde.core
Interface IModelProviderEvent

    public interface IModelProviderEvent

This event will be delivered to all model provider listeners when a model managed by the model provider changes in some way.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Field Summary
`static int` `ENVIRONMENT_CHANGED` Event is sent when the target environment changes
`static int` `MODELS_ADDED` Event is sent after the models have been added.
`static int` `MODELS_CHANGED` Event is sent after the models have been changed.
`static int` `MODELS_REMOVED` Event is sent before the models will be removed.
`static int` `TARGET_CHANGED` Event is sent when the target platform changes

Method Summary
`IModel[]` `getAddedModels()` Returns the models that are added
`IModel[]` `getChangedModels()` Returns the models that has changed
`Object` `getEventSource()` Returns the object that fired this event.
`int` `getEventTypes()` Returns the combination of flags indicating type of event.
`IModel[]` `getRemovedModels()` Returns the models that are removed

Field Detail

### MODELS_ADDED

    static final int MODELS_ADDED

  Event is sent after the models have been added.

  See Also:
    Constant Field Values

### MODELS_REMOVED

    static final int MODELS_REMOVED

  Event is sent before the models will be removed.

  See Also:
    Constant Field Values

### MODELS_CHANGED

    static final int MODELS_CHANGED

  Event is sent after the models have been changed.

  See Also:
    Constant Field Values

### TARGET_CHANGED

    static final int TARGET_CHANGED

  Event is sent when the target platform changes

  Since:
    3.2
  See Also:
    Constant Field Values

### ENVIRONMENT_CHANGED

    static final int ENVIRONMENT_CHANGED

  Event is sent when the target environment changes

  Since:
    3.5
  See Also:
    Constant Field Values

Method Detail

### getAddedModels

    IModel[] getAddedModels()

  Returns the models that are added

  Returns:
    the models that have been added or an empty array

### getRemovedModels

    IModel[] getRemovedModels()

  Returns the models that are removed

  Returns:
    the models that have been removed or an empty array

### getChangedModels

    IModel[] getChangedModels()

  Returns the models that has changed

  Returns:
    the models that has changed or an empty array

### getEventTypes

    int getEventTypes()

  Returns the combination of flags indicating type of event. In case of multiple changes, flags are ORed together. (a combination of MODEL_CHANGED, MODEL_ADDED, MODEL_REMOVED)

  Returns:
    the model change type

### getEventSource

    Object getEventSource()

  Returns the object that fired this event.

Eclipse PDE Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) 2000, 2011 IBM Corporation and others. All rights reserved.